Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 07 Nov 2021 06:45:49 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear all
Greetings

Really I'm v angry for the return process
I recived the below msgs and till now I didn't got my money on 5 and 14 of October 2021

Your refund of SAR 134.36 for order 6355258733 is on its way & will be credited in 5-7 business days.

المبلغ بقيمة 68.00 ريال الخاص بالطلب 6351494334 سيصلك خلال 5-7 أيام عمل.

That for your quick action https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3276323